Skip to main content
POST
Create story arc

Path Parameters

project_id
string
required

Body

application/json

POST /v1/projects/{project_id}/quests

title
string
required
Required string length: 1 - 200
summary
string | null
Maximum string length: 5000
status
string
default:offered
quest_giver_npc_id
string | null
location_id
string | null
reward_item_ids
string<uuid>[]
objectives
QuestObjective · object[]
prerequisites
string[]
Maximum array length: 200
Required string length: 1 - 200
notes
string | null
Maximum string length: 50000
tags
string[]
Maximum string length: 50

Response

Story arc created

The response is of type Response Create Story Arc V1 Projects Project Id Game Narrative Story Arcs Post · object.